LC-1781VA LCOS 10.72.0156 Problem

Forum zu aktuellen Geräten der LANCOM Router/Gateway Serie

Moderator: Lancom-Systems Moderatoren

Benutzeravatar
Jirka
Beiträge: 5225
Registriert: 03 Jan 2005, 13:39
Wohnort: Ex-OPAL-Gebiet
Kontaktdaten:

Re: LC-1781VA LCOS 10.72.0156 Problem

Beitrag von Jirka »

LoUiS hat geschrieben: 14 Feb 2023, 09:50 LCOS 10.50 hat aber scheinbar ebenfalls ein Problem mit https, stuerzt aber nicht ab.
Jirka hat geschrieben: 15 Feb 2023, 00:03 Fehler: ERR_SSL_KEY_USAGE_INCOMPATIBLE
Also wie ich heute Abend feststellen musste, ist ein und dieselbe Firmware fähig unterschiedliche (Fehler-)Bilder zu erzeugen:
Variante 1) Alles funktioniert völlig problemlos. (Fast unglaublich.)
Variante 2) Bei auch nur dem kleinsten Zugriff auf HTTPS stürzt das Gerät sofort ab. (Siehe Bootlog.)
Variante 3) Fehler: ERR_SSL_KEY_USAGE_INCOMPATIBLE wird im Browser angegeben. (Zugriff mit aktuellem Browser nicht möglich, mit uraltem schon noch.)

Der Fehler zieht sich durch die 10.42, 10.50 und 10.72.
tstimper hat geschrieben: 15 Feb 2023, 21:25 Sollte 10.42.1104 den SSL Fehler der 10.42.1102 fixen?
Zumindest trat hier (erst mal?) kein Problem mehr auf.
tstimper
Beiträge: 954
Registriert: 04 Jun 2021, 15:23
Wohnort: Chemnitz
Kontaktdaten:

Re: LC-1781VA LCOS 10.72.0156 Problem

Beitrag von tstimper »

hat schon jemand 10.50.1102 von heute Nacht getestet?
Treten da die verschiedenen SSL Errors, die wir mit der 10.50.1102 gesehen haben noch auf?

Für die 10.42 und die 10.72 sehe ich noch keie neue Version, oder übersehe ich was?

Viele Grüße
ts
TakeControl: Config Backup für LANCOM Router, ALC, APs und Switche...
https://www.linkedin.com/posts/activity ... 04032-DNQ5
https://www.nmedv.de
tstimper
Beiträge: 954
Registriert: 04 Jun 2021, 15:23
Wohnort: Chemnitz
Kontaktdaten:

Re: LC-1781VA LCOS 10.72.0156 Problem

Beitrag von tstimper »

tstimper hat geschrieben: 15 Feb 2023, 21:25
LoUiS hat geschrieben: 14 Feb 2023, 09:50 Hi,

LCOS 10.42 lief auf dem 1781VA soweit, dort habe ich aber auch einen Absturz gefunden. https funktioniert aber aktuell. LCOS 10.50 hat aber scheinbar ebenfalls ein Problem mit https, stuerzt aber nicht ab.


Ciao
LoUiS
Sollte 10.42.1104 den SSL Fehler der 10.42.1102 fixen?

Viele Grüße

ts
Ok, die 10.72.0159 fixt das OpenSSL Problem ohne Abstürze, läuft seit einer halben Stunde auf einem 1781VA und einem 1793VA
Vermutlich werden wir es bald auch auf dem FTP Server sehen.

Auf die aktualisierte 10.50.xxxx warten wir noch ...


Viele Grüße

ts
TakeControl: Config Backup für LANCOM Router, ALC, APs und Switche...
https://www.linkedin.com/posts/activity ... 04032-DNQ5
https://www.nmedv.de
Benutzeravatar
LoUiS
Site Admin
Site Admin
Beiträge: 5031
Registriert: 07 Nov 2004, 18:29
Wohnort: Aix la Chapelle

Re: LC-1781VA LCOS 10.72.0156 Problem

Beitrag von LoUiS »

Hi,

die aktuell auf dem Beta FTP liegenden Versionen enthalten bereits die neue OpenSSL und den Bugfix.

- 10.42.1104
- 10.50.1102
- 10.72.0158


Ciao
LoUiS
Dr.House hat geschrieben:Dr. House: Du bist geheilt. Steh auf und wandle.
Patient: Sind Sie geisteskrank?
Dr. House: In der Bibel sagen die Leute schlicht "Ja, Herr" und verfallen dann ins Lobpreisen.
tstimper
Beiträge: 954
Registriert: 04 Jun 2021, 15:23
Wohnort: Chemnitz
Kontaktdaten:

Re: LC-1781VA LCOS 10.72.0156 Problem

Beitrag von tstimper »

LoUiS hat geschrieben: 19 Feb 2023, 20:06 Hi,

die aktuell auf dem Beta FTP liegenden Versionen enthalten bereits die neue OpenSSL und den Bugfix.

- 10.42.1104
- 10.50.1102
- 10.72.0158


Ciao
LoUiS
Anmerkung
Für den 1781VA ist die 10.72.0158 fehlerhaft und führt bei HTTPS Zugriff zum Watchdog im SSL, da bitte die 10.72.0159 vom Support anfordern,
da ist das behoben.

Viele Grüße

ts
TakeControl: Config Backup für LANCOM Router, ALC, APs und Switche...
https://www.linkedin.com/posts/activity ... 04032-DNQ5
https://www.nmedv.de
Benutzeravatar
LoUiS
Site Admin
Site Admin
Beiträge: 5031
Registriert: 07 Nov 2004, 18:29
Wohnort: Aix la Chapelle

Re: LC-1781VA LCOS 10.72.0156 Problem

Beitrag von LoUiS »

Hi,

von Build 0158 zur Build 0159 hat sich bzgl. OpenssL nichts geaendert, der Bugfix ist in der Build 0158 eingeflossen.
Dies wurde auf LANCOM 1781VA ISDN und POTS getestet.
Evtl. hattest Du einen anderen Fehler bemerkt.


Ciao
LoUiS
Dr.House hat geschrieben:Dr. House: Du bist geheilt. Steh auf und wandle.
Patient: Sind Sie geisteskrank?
Dr. House: In der Bibel sagen die Leute schlicht "Ja, Herr" und verfallen dann ins Lobpreisen.
tstimper
Beiträge: 954
Registriert: 04 Jun 2021, 15:23
Wohnort: Chemnitz
Kontaktdaten:

Re: LC-1781VA LCOS 10.72.0156 Problem

Beitrag von tstimper »

LoUiS hat geschrieben: 19 Feb 2023, 20:58 Hi,

von Build 0158 zur Build 0159 hat sich bzgl. OpenssL nichts geaendert, der Bugfix ist in der Build 0158 eingeflossen.
Dies wurde auf LANCOM 1781VA ISDN und POTS getestet.
Evtl. hattest Du einen anderen Fehler bemerkt.


Ciao
LoUiS
Hi LoUiS,
ok, mir hatte der Support den Build 10.72.0159 als die Version gegeben, die den Fix für den kaputten OpenSSL Fix hat.
die 10.72.0158 habe ich jetzt auf dem 1781VA garnicht mehr getestet und kann dazu nichts sagen.

Vielen Dank und viele Grüße

ts
TakeControl: Config Backup für LANCOM Router, ALC, APs und Switche...
https://www.linkedin.com/posts/activity ... 04032-DNQ5
https://www.nmedv.de
tstimper
Beiträge: 954
Registriert: 04 Jun 2021, 15:23
Wohnort: Chemnitz
Kontaktdaten:

Re: LC-1781VA LCOS 10.72.0156 Problem

Beitrag von tstimper »

tstimper hat geschrieben: 20 Feb 2023, 10:33
LoUiS hat geschrieben: 19 Feb 2023, 20:58 Hi,

von Build 0158 zur Build 0159 hat sich bzgl. OpenssL nichts geaendert, der Bugfix ist in der Build 0158 eingeflossen.
Dies wurde auf LANCOM 1781VA ISDN und POTS getestet.
Evtl. hattest Du einen anderen Fehler bemerkt.


Ciao
LoUiS
Hi LoUiS,

Eine Nachfrage. Als Fix Version mit dem OpenSSL Patch ist jetzt offiziell die 10.72.0092-SU2 (15.02.2023) verfügbar.
Also nur eine Buildnummer größer als die 10.72.0091-RU1

In diesem Thread haben wir ja gelernt, das OpenSSL im Build 10.72.0158 15.02.2023 gefixt wurde.
Vom Support habe ich diesbezüglich die 10.72.0159 17.02.2023 bekommen.

Was sind die Hintergründe, das es jetzt einen älteren Zwischen-Build 10.72.0092 mit OpenSSL Fix gibt?

Ich habe auf einigen Routern ja schon die 10.72.0158 bzw. 10.72.0159 drauf, da jetzt "zurück" zur 10.72.0092-SU2 zu gehen,
macht mir ohne klare Bugfix Liste Bauchschmerzen.

Kannst Du dazu was sagen?

Vuelen Dank und viele Grüße

ts
TakeControl: Config Backup für LANCOM Router, ALC, APs und Switche...
https://www.linkedin.com/posts/activity ... 04032-DNQ5
https://www.nmedv.de
Benutzeravatar
LoUiS
Site Admin
Site Admin
Beiträge: 5031
Registriert: 07 Nov 2004, 18:29
Wohnort: Aix la Chapelle

Re: LC-1781VA LCOS 10.72.0156 Problem

Beitrag von LoUiS »

Hi,

wie in den Releasenotes angegeben ist in der 10.72 SU2 zur 10.72 RU1 ausschliesslich die neue OpenSSL enthalten.
Du nutzt derzeit eine Beta Version, in der ausser der OpenSSL auch noch andere Bugfixes enthalten sind.


Ciao
LoUiS
Dr.House hat geschrieben:Dr. House: Du bist geheilt. Steh auf und wandle.
Patient: Sind Sie geisteskrank?
Dr. House: In der Bibel sagen die Leute schlicht "Ja, Herr" und verfallen dann ins Lobpreisen.
tstimper
Beiträge: 954
Registriert: 04 Jun 2021, 15:23
Wohnort: Chemnitz
Kontaktdaten:

Re: LC-1781VA LCOS 10.72.0156 Problem

Beitrag von tstimper »

LoUiS hat geschrieben: 13 Mär 2023, 07:58 Du nutzt derzeit eine Beta Version, in der ausser der OpenSSL auch noch andere Bugfixes enthalten sind.
Hast Du die 10.72.0092-SU2 auf einem 1781VA getestet? Auf einem 1793VA läuft die 10.72.0092-SU2.
Beim 1781VA bin ich unsicher, ob ich wirklich auf dem 1781VA von der 10.72.0159 Beta zurück zur 10.72.0092-SU2 gehen sollte,
da das Modell ja diese Bootlogs ca alle 5 Minuten mit der ersten OpenSSL Fix Variante hatte.

Viele Grüße

ts
TakeControl: Config Backup für LANCOM Router, ALC, APs und Switche...
https://www.linkedin.com/posts/activity ... 04032-DNQ5
https://www.nmedv.de
Antworten